unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, SynEdit,
  SynHighlighterHTML;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    SynEdit1: TSynEdit;
    SynHTMLSyn1: TSynHTMLSyn;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  opensslsockets, openssl, fphttpclient;

procedure Download(const Url: string; AStream: TStream);
var
  http: TFpHttpClient;
begin
  InitSSLInterface;
  http := TFpHttpClient.Create(nil);
  try
    http.ConnectTimeOut := 10000;
    http.AllowRedirect := true;
    http.AddHeader('User-Agent', 'Mozilla/5.0 (compatible; fpweb)');
    http.Get(Url, AStream);
    AStream.Position := 0;
  finally
    http.Free;
  end;
end;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  stream: TMemoryStream;
begin
  stream := TMemoryStream.Create;
  try
    Download(Edit1.Text, stream);
    SynEdit1.Lines.LoadFromStream(stream);
  finally
    stream.Free;
  end;
end;



end.

